Package Details: vim-polyglot-git 4.17.0.r12.g4c10562d-1

Git Clone URL: https://aur.archlinux.org/vim-polyglot-git.git (read-only, click to copy)
Package Base: vim-polyglot-git
Description: A solid language pack for Vim.
Upstream URL: https://github.com/sheerun/vim-polyglot
Licenses: MIT
Conflicts: vim-polyglot
Provides: vim-polyglot
Submitter: sainnhe
Maintainer: sainnhe
Last Packager: sainnhe
Votes: 1
Popularity: 0.67
First Submitted: 2020-07-26 12:45
Last Updated: 2021-02-15 09:21

Latest Comments

sainnhe commented on 2021-02-15 09:22

@morealaz: Thank you! Should be fixed now.

morealaz commented on 2021-02-15 06:16

Hi @sainnhe I fix license and pkgver of PKGBUILD please update it. thank you.

# Maintainer: Sainnhe Park <sainnhe@gmail.com>
pkgname=vim-polyglot-git
pkgver=4.17.0.r12.g4c10562d
pkgrel=1
pkgdesc='A solid language pack for Vim.'
arch=('any')
url='https://github.com/sheerun/vim-polyglot'
license=('MIT')
depends=('vim')
makedepends=('git')
provides=("${pkgname%-git}")
conflicts=("${pkgname%-git}")
source=('git+https://github.com/sheerun/vim-polyglot.git')
sha256sums=('SKIP')

pkgver() {
    cd "${srcdir}/vim-polyglot"
    git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}

package() {
    cd "${srcdir}/vim-polyglot"
    find after autoload compiler ctags extras ftdetect ftplugin indent syntax -type f -exec \
        install -Dm 644 '{}' "${pkgdir}/usr/share/vim/vimfiles/pack/vim-polyglot/start/vim-polyglot/{}" \;
}
# vim:set ts=4 sw=4: